Subject: Re: [PATCH] powerpc/perf_counter: Add alignment-faults and emulation-faults sw events

From: Peter Zijlstra <[email-masked]>
Date: Mon, 27 Jul 2009 08:27:01 +0200

On Mon, 2009-07-27 at 08:26 +0200, Peter Zijlstra wrote:
> On Mon, 2009-07-27 at 11:47 +1000, Benjamin Herrenschmidt wrote:
> 
> > Sounds good.
> > 
> > BTW. The patch relies on some perctr changes I don't have in my tree
> > (PERF_COUNT_SW_ALIGNMENT_FAULTS isn't defined for me)
> > 
> > Ingo, how do you want to handle that ? Should I wait til round 2 of the
> > merge window before putting Anton's patch in or can I merge some of your
> > stuff in powerpc-next as pre-reqs ? Or you can just take Anton's patch
> > with my:
> > 
> > Signed-off-by: Benjamin Herrenschmidt <[email-masked]>
> > 
> > And stick it in your own queue (though pls, give me a pointer to the git
> > tree in question so I can verify that I don't get new stuff that
> > conflicts before we get to the merge window).
> 
> Please send all missing bits to me and I'll stuff it into:
> 
>   git://git.kernel.org/pub/scm/linux/kernel/git/peterz/linux-2.6-perf.git perf-master

Or if they're all PPC specific I have no objections of them going
through the PPC git tree.